package mago 0.3-0ubuntu1 failed to install/upgrade: ErrorMessage: subprocess installed post-installation script returned error exit status 1

Bug #682845 reported by Brian Murray on 2010-11-29
16
This bug affects 2 people
Affects Status Importance Assigned to Milestone
mago (Ubuntu)
High
Ara Pulido

Bug Description

Binary package hint: mago

This happened during a distribution upgrade from Maverick to Natty.

ProblemType: Package
DistroRelease: Ubuntu 11.04
Package: mago 0.3-0ubuntu1
ProcVersionSignature: Ubuntu 2.6.35-22.35-generic 2.6.35.4
Uname: Linux 2.6.35-22-generic x86_64
Architecture: amd64
CheckboxSubmission: fee5e196cb921cbd36888f428b38b488
CheckboxSystem: 2a6f54df59af338184485e85cbcf0d32
Date: Mon Nov 29 11:50:10 2010
ErrorMessage: ErrorMessage: subprocess installed post-installation script returned error exit status 1
PackageArchitecture: all
SourcePackage: mago
Title: package mago 0.3-0ubuntu1 failed to install/upgrade: ErrorMessage: subprocess installed post-installation script returned error exit status 1

Brian Murray (brian-murray) wrote :
Jean-Baptiste Lallement (jibel) wrote :

Thanks for your report.

The relevant error from dpkg log is
---
Setting up mago (0.3-0ubuntu1) ...

Compiling /usr/lib/python2.6/dist-packages/mago/application/update_manager.py ...

SyntaxError: ('invalid syntax', ('/usr/lib/python2.6/dist-packages/mago/application/update_manager.py', 33, 10, ' WINDOW = _("frmUpdateManager"\n'))

pycentral: pycentral pkginstall: error byte-compiling files (39)

pycentral pkginstall: error byte-compiling files (39)

dpkg: error processing mago (--configure):

 subprocess installed post-installation script returned error exit status 1
---

The file update-manager.py is somewhat broken in this version
    MNU_ITEM = _("mnuUpdateManager"
    WINDOW = _("frmUpdateManager"
    LAUNCHER = "update-manager"
    BTN_CLOSE = _("btnClose"
    BTN_CHECK = _("btnCheck"
    BTN_INSTALL = _("btnInstallUpdates"
    TBL_UPDATES = _("updates"
    BAN_LIST = _(" updates"
    TAB_CHANGES = _("Changes"
    TXT_DESCRIPTION = _("Description"
    LBL_WAIT = _("lblKeepyoursystemup-to-date"
    LBL_UPTODATE = _("lblYoursystemisup-to-date"
    LBL_N_UPDATES = r_('lblYoucaninstall(\d+)updates?')
    LBL_DOWNLOADSIZE = r_(r'lblDownloadsize((\d+)((\.)(\d+))?)(.*)')

I've fixed the update-manager test in the current trunk. We need to package a new version of mago in Natty.

Changed in mago (Ubuntu):
importance: Undecided → High
status: New → Triaged
Ara Pulido (ara) on 2010-12-03
Changed in mago (Ubuntu):
assignee: nobody → Ara Pulido (apulido)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package mago - 0.3-0ubuntu3

---------------
mago (0.3-0ubuntu3) natty; urgency=low

  * Updated from trunk
   + Added new applications to our tests base
   + Fixes LP: #682845
 -- Ara Pulido <email address hidden> Fri, 03 Dec 2010 16:08:32 +0100

Changed in mago (Ubuntu):
status: Triaged → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers